Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PlayersSymbols Class Reference

`#include <PlayersSymbols.h>`

Inheritance diagram for PlayersSymbols:

[legend]
Collaboration diagram for PlayersSymbols:

[legend]
List of all members.

## Public Member Functions
| PlayersSymbols (const BehaviorControlInterfaces &interfaces)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols
Input symbols
double | getAngleToOwnDetectedPlayer ()
double | getTimeSinceDetectedOwnPlayer ()
double | getFreeSpaceAroundRobot ()
double | getDistanceToOppInSectorAhead ()
double | getDistanceToOppInSectorBehind ()
double | getDistanceToOppInSectorLeft ()
double | getDistanceToOppInSectorRight ()

## Constructor & Destructor Documentation

PlayersSymbols::PlayersSymbols | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 12 of file PlayersSymbols.cpp.

## Member Function Documentation

void PlayersSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 18 of file PlayersSymbols.cpp. References getAngleToOwnDetectedPlayer(), getDistanceToOppInSectorAhead(), getDistanceToOppInSectorBehind(), getDistanceToOppInSectorLeft(), getDistanceToOppInSectorRight(), getFreeSpaceAroundRobot(), getTimeSinceDetectedOwnPlayer(), and Xabsl2Symbols::registerDecimalInputSymbol(). Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void PlayersSymbols::update | ( |  | ) |

| updates the symbols Definition at line 46 of file PlayersSymbols.cpp.

double PlayersSymbols::getAngleToOwnDetectedPlayer | ( |  | ) |

| A function for the symbol "players.angle-to-own-detected-player" Definition at line 52 of file PlayersSymbols.cpp. References PlayersModel::positionOfOwnPlayerAhead, and toDegrees(). Referenced by registerSymbols().

Here is the call graph for this function:

double PlayersSymbols::getTimeSinceDetectedOwnPlayer | ( |  | ) |

| A function for the symbol "players.time-since-detected-own-player" Definition at line 57 of file PlayersSymbols.cpp. References SystemCall::getTimeSince(), and PlayersModel::timeStampToSeenOwnPlayerAhead. Referenced by registerSymbols().

Here is the call graph for this function:

double PlayersSymbols::getFreeSpaceAroundRobot | ( |  | ) |

| A function for the symbol "players.free-space-around-robot" Definition at line 62 of file PlayersSymbols.cpp. References PlayersModel::freeSpaceAroundRobot. Referenced by registerSymbols().

double PlayersSymbols::getDistanceToOppInSectorAhead | ( |  | ) |

| A function for the symbol "players.distance-to-opp-player-ahead" Definition at line 66 of file PlayersSymbols.cpp. References PlayersModel::distanceToOppInSectorAhead. Referenced by registerSymbols().

double PlayersSymbols::getDistanceToOppInSectorBehind | ( |  | ) |

| A function for the symbol "players.distance-to-opp-player-behind" Definition at line 70 of file PlayersSymbols.cpp. References PlayersModel::distanceToOppInSectorBehind. Referenced by registerSymbols().

double PlayersSymbols::getDistanceToOppInSectorLeft | ( |  | ) |

| A function for the symbol "players.distance-to-opp-player-left" Definition at line 74 of file PlayersSymbols.cpp. References PlayersModel::distanceToOppInSectorLeft. Referenced by registerSymbols().

double PlayersSymbols::getDistanceToOppInSectorRight | ( |  | ) |

| A function for the symbol "players.distance-to-opp-player-right" Definition at line 78 of file PlayersSymbols.cpp. References PlayersModel::distanceToOppInSectorRight. Referenced by registerSymbols().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2Symbols/PlayersSymbols.h
- Modules/BehaviorControl/CommonXabsl2Symbols/PlayersSymbols.cpp